%global momorel 2

Summary: Gnome solution for scanning in the desktop on top of libsane
Name: gnome-scan
Version: 0.6
Release: %{momorel}m%{?dist}
License: LGPLv2+
Group: Development/Tools
URL: http://home.gna.org/gnomescan/
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.6/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0:		gnome-scan-cursor_fix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: sane-backends-devel >= 1.0.18
BuildRequires: glib2-devel >= 2.14.1
BuildRequires: gtk2-devel >= 2.12.0
BuildRequires: cairo-devel >= 1.4.10
BuildRequires: gimp-devel >= 2.2.17
BuildRequires: libgnome-devel >= 2.20.0
BuildRequires: libgnomeui-devel >= 2.20.0
BuildRequires: libglade2-devel >= 2.6.2
BuildRequires: gegl-devel >= 0.0.16
BuildRequires:	desktop-file-utils gtk-doc gnome-doc-utils
Requires:	gimp
Provides:	flegita = %{version}-%{release}
Provides:	gnomescan = %{version}-%{release}
Obsoletes:	gnomescan < 0.5.2

%description
GnomeScan provide libgnomescan to access scanner and libgnomescanui to
build scan dialogs. It also provide flegita and scan app and
flegita-gimp, a gimp plugin that use GnomeScan libraries. Flegita
allow to simply scan an area from a device and saving to a file in
various format (currently, PNG, JPEG, TIFF and PDF are supported).

%package libs
Summary:	Gnome-scan library
Group:		Development/Libraries
Obsoletes:	gnomescan < 0.5.2

%description libs
Libraries for using gnome-scan

%package devel
Summary: Development files for gnome-scan
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel
Requires: gtk2-devel
Requires: libgnome
Requires: gegl-devel libgnomeui-devel
Requires: cairo-devel
Obsoletes:      gnomescan-devel < 0.5.2

%description devel
Contains development headers and libraries for gnome-scan


%prep
%setup -q
%patch0 -p0 -b .fix

%build
%configure --disable-static
# --enable-gtk-doc

# Disable rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

desktop-file-install --vendor=			\
	--remove-category Application			\
	--dir %{buildroot}%{_datadir}/applications	\
	--mode 0644					\
	%{buildroot}%{_datadir}/applications/flegita.desktop

%find_lang %{name}

find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete
rm -rf %{buildroot}/usr/doc

%clean
rm -rf --preserve-root %{buildroot}

%post libs -p /sbin/ldconfig

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/flegita
%{_libdir}/gimp/2.0/plug-ins/flegita-gimp
%{_datadir}/applications/flegita.desktop
%{_datadir}/icons/hicolor/*/*/*.svg
%{_datadir}/gnome-scan/

%files libs
%defattr(-,root,root,-)
%{_libdir}/libgnomescan.so.*
%{_libdir}/gnome-scan-1.0/

%files devel
%defattr(-,root,root,-)
%{_includedir}/gnome-scan-1.0/
%{_libdir}/libgnomescan.so
%{_libdir}/pkgconfig/gnome-scan.pc
%doc %{_datadir}/gtk-doc/html/gnome-scan*/

%changelog
* Tue May  6 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6-2m)
- comment out gtk-doc (build fix only gtk-doc-1.10)

* Tue May 06 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.6-1m)
- update to 0.6 (resync with Fedora, rename from gnomescan to gnome-scan)

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.1-2m)
- rebuild against gcc43

* Sun Sep 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.1-1m)
- update to 0.5.1
- tarname gnomescan -> gnome-scan

* Sun Feb 11 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0.4-2m)
- revise %%post %%postun script

* Sat Feb 10 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0.4-1m)
- initial build
